OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_IDList Class Reference

`#include <TDF_IDList.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_IDList ()
Standard_EXPORT void | Assign (const TDF_IDList &Other)
void | operator= (const TDF_IDList &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~TDF_IDList ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Standard_GUID &I)
Standard_EXPORT void | Prepend (const Standard_GUID &I, TDF_ListIteratorOfIDList &theIt)
Standard_EXPORT void | Prepend (TDF_IDList &Other)
Standard_EXPORT void | Append (const Standard_GUID &I)
Standard_EXPORT void | Append (const Standard_GUID &I, TDF_ListIteratorOfIDList &theIt)
Standard_EXPORT void | Append (TDF_IDList &Other)
Standard_EXPORT Standard_GUID & | First () const
Standard_EXPORT Standard_GUID & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (TDF_ListIteratorOfIDList &It)
Standard_EXPORT void | InsertBefore (const Standard_GUID &I, TDF_ListIteratorOfIDList &It)
Standard_EXPORT void | InsertBefore (TDF_IDList &Other, TDF_ListIteratorOfIDList &It)
Standard_EXPORT void | InsertAfter (const Standard_GUID &I, TDF_ListIteratorOfIDList &It)
Standard_EXPORT void | InsertAfter (TDF_IDList &Other, TDF_ListIteratorOfIDList &It)
## Private Member Functions
Standard_EXPORT | TDF_IDList (const TDF_IDList &Other)
## Private Attributes
Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT TDF_IDList::TDF_IDList | ( |  | ) |

TDF_IDList::~TDF_IDList | ( |  | ) | `[inline]`

Standard_EXPORT TDF_IDList::TDF_IDList | ( | const TDF_IDList & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void TDF_IDList::Append | ( | TDF_IDList & | Other | ) |

Standard_EXPORT void TDF_IDList::Append | ( | const Standard_GUID & | I,
|  | TDF_ListIteratorOfIDList & | theIt
| ) |

Standard_EXPORT void TDF_IDList::Append | ( | const Standard_GUID & | I | ) |

Standard_EXPORT void TDF_IDList::Assign | ( | const TDF_IDList & | Other | ) |

Standard_EXPORT void TDF_IDList::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer TDF_IDList::Extent | ( |  | ) | const

Standard_EXPORT Standard_GUID& TDF_IDList::First | ( |  | ) | const

Standard_EXPORT void TDF_IDList::InsertAfter | ( | TDF_IDList & | Other,
|  | TDF_ListIteratorOfIDList & | It
| ) |

Standard_EXPORT void TDF_IDList::InsertAfter | ( | const Standard_GUID & | I,
|  | TDF_ListIteratorOfIDList & | It
| ) |

Standard_EXPORT void TDF_IDList::InsertBefore | ( | TDF_IDList & | Other,
|  | TDF_ListIteratorOfIDList & | It
| ) |

Standard_EXPORT void TDF_IDList::InsertBefore | ( | const Standard_GUID & | I,
|  | TDF_ListIteratorOfIDList & | It
| ) |

Standard_Boolean TDF_IDList::IsEmpty | ( |  | ) | const

Standard_EXPORT Standard_GUID& TDF_IDList::Last | ( |  | ) | const

void TDF_IDList::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_IDList::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_IDList::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void TDF_IDList::operator= | ( | const TDF_IDList & | Other | ) | `[inline]`

Standard_EXPORT void TDF_IDList::Prepend | ( | TDF_IDList & | Other | ) |

Standard_EXPORT void TDF_IDList::Prepend | ( | const Standard_GUID & | I,
|  | TDF_ListIteratorOfIDList & | theIt
| ) |

Standard_EXPORT void TDF_IDList::Prepend | ( | const Standard_GUID & | I | ) |

Standard_EXPORT void TDF_IDList::Remove | ( | TDF_ListIteratorOfIDList & | It | ) |

Standard_EXPORT void TDF_IDList::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address TDF_IDList::myFirst`[private]`

Standard_Address TDF_IDList::myLast`[private]`

The documentation for this class was generated from the following file:

- TDF_IDList.hxx